<?php
/**
 * Medical Doctor: Block Patterns
 *
 * @package Medical Doctor
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'medical-doctor',
		array( 'label' => __( 'Medical Doctor', 'medical-doctor' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'medical-doctor/banner-section',
		array(
			'title'      => __( 'Banner Section', 'medical-doctor' ),
			'categories' => array( 'medical-doctor' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/block-pattern/images/banner.png\",\"id\":54,\"dimRatio\":50,\"isDark\":false,\"align\":\"full\",\"className\":\"banner-section px-md-5\",\"style\":{\"color\":{}}} -->\n<div class=\"wp-block-cover alignfull is-light banner-section px-md-5\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-54\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/block-pattern/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":1,\"textColor\":\"white\"} -->\n<h1 class=\"has-text-align-center has-white-color has-text-color\">Healthy Habits Are Your Heart's Desire</h1>\n<!-- /wp:heading -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"white\",\"style\":{\"border\":{\"radius\":\"5px\"},\"typography\":{\"fontSize\":\"14px\"}},\"className\":\"banner-section-btn is-style-outline\"} -->\n<div class=\"wp-block-button has-custom-font-size banner-section-btn is-style-outline\" style=\"font-size:14px\"><a class=\"wp-block-button__link has-white-color has-text-color\" style=\"border-radius:5px\"><strong>READ MORE</strong></a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'medical-doctor/service-section',
		array(
			'title'      => __( 'service-section', 'medical-doctor' ),
			'categories' => array( 'medical-doctor' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/block-pattern/images/service-section-background.png\",\"id\":114,\"dimRatio\":0,\"isDark\":false,\"align\":\"full\",\"className\":\"service-section mx-2\"} -->\n<div class=\"wp-block-cover alignfull is-light service-section mx-2\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-0 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-114\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/block-pattern/images/service-section-background.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\",\"style\":{\"color\":{\"text\":\"#ee344e\"}},\"className\":\" small-text\"} -->\n<p class=\"has-text-align-center small-text has-text-color\" style=\"color:#ee344e\"><strong>HOW WE HELP</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"textAlign\":\"center\"} -->\n<h2 class=\"has-text-align-center\">Department &amp; Core-Services</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"className\":\"service-box\"} -->\n<div class=\"wp-block-column service-box\"><!-- wp:image {\"id\":116,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-pattern/images/service-section-image1.png\" alt=\"\" class=\"wp-image-116\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"level\":3,\"className\":\"px-3\"} -->\n<h3 class=\"px-3\">Cardiology</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\"}},\"textColor\":\"cyan-bluish-gray\",\"className\":\"px-3\"} -->\n<p class=\"px-3 has-cyan-bluish-gray-color has-text-color\" style=\"font-size:15px\">Lorem Ipsum is simply dummy text of the printing and typesetting industry.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#ee344e\"},\"typography\":{\"fontSize\":\"19px\"}},\"className\":\"px-3\"} -->\n<p class=\"px-3 has-text-color\" style=\"color:#ee344e;font-size:19px\">View More</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"className\":\"service-section-View-More\"} -->\n<div class=\"wp-block-buttons service-section-View-More\"></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"service-box\"} -->\n<div class=\"wp-block-column service-box\"><!-- wp:image {\"id\":117,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-pattern/images/service-section-image2.png\" alt=\"\" class=\"wp-image-117\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"level\":3,\"className\":\"px-3\"} -->\n<h3 class=\"px-3\">Gastroenterologist</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\"}},\"textColor\":\"cyan-bluish-gray\",\"className\":\"px-3\"} -->\n<p class=\"px-3 has-cyan-bluish-gray-color has-text-color\" style=\"font-size:15px\">Lorem Ipsum is simply dummy text of the printing and typesetting industry.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#ee344e\"},\"typography\":{\"fontSize\":\"18px\"}},\"className\":\"px-3\"} -->\n<p class=\"px-3 has-text-color\" style=\"color:#ee344e;font-size:18px\">View More</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"className\":\"service-section-View-More\"} -->\n<div class=\"wp-block-buttons service-section-View-More\"></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"service-box\"} -->\n<div class=\"wp-block-column service-box\"><!-- wp:image {\"id\":118,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-pattern/images/service-section-image3.png\" alt=\"\" class=\"wp-image-118\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"level\":3,\"className\":\"px-3\"} -->\n<h3 class=\"px-3\">Neurologist</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\"}},\"textColor\":\"cyan-bluish-gray\",\"className\":\"px-3\"} -->\n<p class=\"px-3 has-cyan-bluish-gray-color has-text-color\" style=\"font-size:15px\">Lorem Ipsum is simply dummy text of the printing and typesetting industry.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#ee344e\"},\"typography\":{\"fontSize\":\"18px\"}},\"className\":\"px-3\"} -->\n<p class=\"px-3 has-text-color\" style=\"color:#ee344e;font-size:18px\">View More</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"className\":\"service-section-View-More\"} -->\n<div class=\"wp-block-buttons service-section-View-More\"></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->",
		)
	);
}